package com.example.netwrok_datastore.di

import com.example.netwrok_datastore.data.AuthRepository
import com.example.netwrok_datastore.data.local.LocalStorage
import com.example.netwrok_datastore.data.remote.RetrofitSettings
import com.example.netwrok_datastore.data.remote.auth.AuthApi
import com.example.netwrok_datastore.domain.usecase.AuthUseCase
import com.example.netwrok_datastore.ui.screen.registration.RegistrationViewModel
import org.koin.core.module.dsl.viewModel
import org.koin.dsl.module

val appModules = module {
    single { LocalStorage(get()) }
    single<AuthApi> { RetrofitSettings.authApi }
    single<AuthRepository> { AuthRepository(get()) }
    single { AuthUseCase(get(), get()) }
    viewModel { RegistrationViewModel(get()) }
}